/*
--------------------------------------------------------
Fonction de creation d'une fenetre popup
--------------------------------------------------------
Copyright 2000 GHS
--------------------------------------------------------
La fonction utilise des variables predefinies et des variables 
a saisir lors de l'appel de la fonction
--------------------------------------------------------
Usage : 
        - charger le Javascript dans le HEAD de la page
        - placer la fonction suivante dans l'evenement OnClick desire
        - ne pas oublier de retourner une valeur (qui sera false par defaut)
        - remplir correctement les trois parametres accessoires :
          longueur, largeur, redimensionnement
--------------------------------------------------------
Fonction disponible :
    ouvrirpopup(URL,width,height,redim)
Parametres :
    URL : contient l'URL de la page ou du composant que l'on veut ouvrir dans la popup
    nom : nom de la popup
    width : longueur de la fenetre popup a ouvrir
    height : largeur de la fenetre popup a ouvrir 
    redim : redimensionnement de la fenetre possible ou non (YES ou NO)
                ce parametre permet d'initialiser les champs scrollbar, scrolling, et resizable
    menu : ?
--------------------------------------------------------
Exemple :
<a href="#" onClick="return ouvrirpopup('index.htm', 'popup', 430, 300, 'NO', 'NO');">Lien vers la popup</a>
--------------------------------------------------------
Code en situation :
ATTENTION : le premier appel doit etre sur la meme ligne que le return, 
            sinon, IE5 ne fait que le return...

<script language="JavaScript" src="/js/popup.js"></script>
...
<form>
    <input type="button" name="lien" OnClick="return ouvrirpopup('tmp/index.htm','non',0,100,'YES', 'NO');">
    <a href="#" onClick="return ouvrirpopup('index.htm', 'nom', 430, 300, 'NO', 'NO');">Lien</a>
</form>
--------------------------------------------------------
*/

// fonction d'ouverture de fenetre popup
function ouvrirpopup(URL,nom,width,height,redim,menu) {
  // dans le cas ou la longueur n'a pas ete saisie ou bien vaut 0,
  // cette longueur est initialisee a une valeur par defaut qui est 430  
  if ((!width)||(width == 0)) {
    width = 430;
  }
  // dans le cas ou la largeur n'a pas ete saisie ou bien vaut 0,
  // cette largeur est initialisee a une valeur par defaut qui est 300 
  if ((!height)||(height == 0)) {
    height = 300;
  }
  if (!redim) {
    redim = 'NO';
  }
  // initialisation du nom de la fenetre popup a 'popup'
  if ((!nom)||(nom == "")) {
    nom="popup";
  }
  // initialisation de la bar de menu de la fanetre
  if (!nom) {
    nom = 'NO';
  }
  // creation de tous les parametres necessaires au bon lancement de la popup
  // et ajout des trois parametres width, height et resizable
  var stats="isRaised=yes,toolbar=no,scrollbars="+redim+",scrolling="+redim+",resizable="+redim+",menuBar="+menu+",alwaysRaised=yes,width="+width+",height="+height;
  // ouverture de la fenetre popup
  var fenetre = window.open(URL,nom,stats);
  // cette fenetre popup ne met devant toutes les autres
  // elle est donc visible tout de suite
  fenetre.focus();
  // retour de la valeur 'false' afin d'empecher une action a venir sur la fenetre appelante
  return false;
}
